OpenNMS API 1.2.9

## org.opennms.netmgt.config.notifications
Class Notifications

    java.lang.Object
      org.opennms.netmgt.config.notifications.Notifications

All Implemented Interfaces:
  java.io.Serializable

public class Notifications
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Header` `_header`
`private java.util.ArrayList` `_notificationList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Notifications()`

Method Summary
`void` `addNotification(int index, Notification vNotification)`
`void` `addNotification(Notification vNotification)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearNotification()`
`java.util.Enumeration` `enumerateNotification()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Header` `getHeader()` Returns the value of field 'header'.
`Notification[]` `getNotification()`
`Notification` `getNotification(int index)`
`java.util.Collection` `getNotificationCollection()`
`int` `getNotificationCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeNotification(Notification vNotification)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setHeader(Header header)` Sets the value of field 'header'.
`void` `setNotification(int index, Notification vNotification)`
`void` `setNotification(Notification[] notificationArray)`
`void` `setNotificationCollection(java.util.Collection vNotification)`
`static Notifications` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _header

    private Header _header

### _notificationList

    private java.util.ArrayList _notificationList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Notifications

    public Notifications()

Method Detail

### addNotification

    public void addNotification(Notification vNotification)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vNotification` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNotification

    public void addNotification(int index,
                                Notification vNotification)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNotification` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearNotification

    public void clearNotification()

### enumerateNotification

    public java.util.Enumeration enumerateNotification()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getHeader

    public Header getHeader()

  Returns the value of field 'header'.

  Returns:
    the value of field 'header'.

### getNotification

    public Notification getNotification(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNotification

    public Notification[] getNotification()

### getNotificationCollection

    public java.util.Collection getNotificationCollection()

### getNotificationCount

    public int getNotificationCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeNotification

    public boolean removeNotification(Notification vNotification)

  Parameters:
    `vNotification` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setHeader

    public void setHeader(Header header)

  Sets the value of field 'header'.

  Parameters:
    `header` - the value of field 'header'.

### setNotification

    public void setNotification(int index,
                                Notification vNotification)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNotification` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNotification

    public void setNotification(Notification[] notificationArray)

  Parameters:
    `notificationArray` -

### setNotificationCollection

    public void setNotificationCollection(java.util.Collection vNotification)

  Parameters:
    `vNotification` -

### unmarshal

    public static Notifications unmarshal(java.io.Reader reader)
                                   throws org.exolab.castor.xml.MarshalException,
                                          org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.